summaryrefslogtreecommitdiff
path: root/pcr/emacs-newlisp
diff options
context:
space:
mode:
Diffstat (limited to 'pcr/emacs-newlisp')
-rw-r--r--pcr/emacs-newlisp/PKGBUILD24
-rw-r--r--pcr/emacs-newlisp/emacs-newlisp.install26
2 files changed, 50 insertions, 0 deletions
diff --git a/pcr/emacs-newlisp/PKGBUILD b/pcr/emacs-newlisp/PKGBUILD
new file mode 100644
index 000000000..25dcbc219
--- /dev/null
+++ b/pcr/emacs-newlisp/PKGBUILD
@@ -0,0 +1,24 @@
+# Contributor: Jan Kròávek <wamba@centrum.cz>
+# Contributor: Stefan Husmann <stefan-husmann@t-online.de>
+# Maintainer : Parabola GNU / Linux-libre Aurélien DESBRIÈRES <aurelien@cwb.IO>
+
+pkgname=emacs-newlisp
+pkgver=0.25
+pkgrel=5
+arch=('any')
+pkgdesc="Emacs mode for Newlisp."
+url="http://artfulcode.net/projects"
+depends=('emacs')
+makedepends=('unzip')
+license=('GPL')
+source=(http://www.artfulcode.net/wp-content/uploads/2008/12/newlisp-mode.zip)
+noextract=newlisp-mode.zip
+install=emacs-newlisp.install
+
+build() {
+ cd $srcdir
+ unzip -quo newlisp-mode.zip || return 1
+ cd $srcdir/newlisp-mode || return 1
+ install -d $pkgdir/usr/share/emacs/site-lisp/newlisp-mode
+ install -Dm644 *.el $pkgdir/usr/share/emacs/site-lisp/newlisp-mode
+}
diff --git a/pcr/emacs-newlisp/emacs-newlisp.install b/pcr/emacs-newlisp/emacs-newlisp.install
new file mode 100644
index 000000000..640e19d16
--- /dev/null
+++ b/pcr/emacs-newlisp/emacs-newlisp.install
@@ -0,0 +1,26 @@
+# vim: set ft=sh:
+post_install() {
+ echo "
+=> Autoloading:
+ ------------
+ In your .emacs or .init.el
+ (add-to-list 'load-path (expand-file-name \"/usr/share/emacs/site-lisp/newlisp-mode\"))
+ (add-to-list 'auto-mode-alist '(\"\\\\.lsp\\\\'\" . newlisp-mode))
+ (autoload 'newlisp-mode \"newlisp\" \"Turn on NewLisp mode\" t)
+ (turn-on-font-lock)
+
+=> Newlisp is started with the Emacs command M-x newlisp-mode."
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install
+}
+
+op=$1
+shift
+
+$op $*